---

- include_tasks: user.yml
  args:
    apply:
      become: true

- include_tasks: nodejs.yml

- include_tasks: repositories.yml

- include_tasks: packages.yml
  args:
    apply:
      become: true

#RHEL uses firewall-cmd
- include_tasks: ufw.yml
  args:
    apply:
      become: true
      tags:
        - firewall
  when: 
  - ansible_os_family == "Debian"

- include_tasks: firewall-cmd.yml
  args:
    apply:
      become: true
      tags:
        - firewall
  when: 
  - ansible_os_family == "RedHat"

- include_tasks: ruby.yml
  args:
    apply:
      become: true
      become_user: mastodon

- include_tasks: redis.yml

- include_tasks: selfsigned-ssl.yml
  when: disable_letsencrypt | bool

- include_tasks: mastodon.yml
  args:
    apply:
      become: true
      become_user: mastodon

- include_tasks: letsencrypt.yml
  args:
    apply:
      become: true
      tags:
        - letsencrypt 
  when: disable_letsencrypt | bool == false

- include_tasks: nginx.yml
  args:
    apply:
      become: true
